> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Get a snapshot of a content type

GET https://api.contentful.com/spaces/{space_id}/environments/{environment_id}/content_types/{content_type_id}/snapshots/{snapshot_id}

Reference: https://contentful.com/developers/docs/references/content-management-api/snapshots/get-a-snapshot-of-a-content-type

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `space_id` (string, required) — ID of the Space in form of a string
- `environment_id` (string, required) — environment_id identifier
- `content_type_id` (string, required) — ID of the entry in form of a string
- `snapshot_id` (string, required) — ID of the snapshot in form of a string

## Response

### 200

OK - Request successful

- `map from string to any`

## Examples

**Response**

```json
{
  "snapshot": {
    "fields": [
      {
        "id": "title",
        "localized": true,
        "name": "Title",
        "required": true,
        "type": "Text"
      },
      {
        "id": "body",
        "localized": true,
        "name": "Body",
        "required": true,
        "type": "Text"
      }
    ],
    "name": "Blog Post",
    "sys": {
      "firstPublishedAt": "2026-01-14T00:12:45.000Z",
      "publishedAt": "2026-01-14T00:12:45.000Z",
      "publishedBy": {
        "sys": {
          "id": "4FLrUHftHW3v2BLi9fzfjU",
          "linkType": "User",
          "type": "Link"
        }
      },
      "publishedCounter": 2,
      "publishedVersion": 9
    }
  },
  "sys": {
    "createdAt": "2025-08-19T11:02:05.000Z",
    "createdBy": {
      "sys": {
        "id": "4FLrUHftHW3v2BLi9fzfjU",
        "linkType": "User",
        "type": "Link"
      }
    },
    "id": "cat",
    "snapshotEntityType": "ContentType",
    "snapshotType": "publish",
    "space": {
      "sys": {
        "id": "yadj1kx9rmg0",
        "linkType": "Space",
        "type": "Link"
      }
    },
    "type": "Snapshot"
  }
}
```

**SDK Code**

```android Android
// Create the Contentful client.
final CMAClient client =
    new CMAClient
        .Builder()
        .setAccessToken("<access_token>")
        .setSpaceId("<space_id>")
        .setEnvironmentId("<environment_id>")
        .build();

client
    .contentTypes()
    .async()
    .fetchOne(
        "<space_id>",
        "master", // only works on master right now ...
        "<content_type_id>",
        new CMACallback<CMAContentType>() {
          @Override protected void onSuccess(CMAContentType contentType) {
            client
                .contentTypes()
                .async()
                .fetchOneSnapshot(
                    contentType,
                    "<content_type_snapshot_id>",
                    new CMACallback<CMASnapshot>() {
                      @Override protected void onSuccess(CMASnapshot snapshot) {
                        new AlertDialog.Builder(context)
                            .setTitle("Contentful")
                            .setMessage("Snapshot found!" +
                                "\n\nResult: " + snapshot)
                            .show();
                      }

                      @Override protected void onFailure(RuntimeException exception) {
                        // An error occurred! Inform the user.
                        new AlertDialog.Builder(context)
                            .setTitle("Contentful Error")
                            .setMessage("Could not find the content type snapshot." +
                                "\n\nReason: " + exception.toString())
                            .show();

                        super.onFailure(exception);
                      }
                    }
                );
          }

          @Override protected void onFailure(RuntimeException exception) {
            // An error occurred! Inform the user.
            new AlertDialog.Builder(context)
                .setTitle("Contentful Error")
                .setMessage("Could not get one content type." +
                    "\n\nReason: " + exception.toString())
                .show();

            super.onFailure(exception);
          }
        }
    );
```

```java Java
// Create the Contentful client.
final CMAClient client =
    new CMAClient
        .Builder()
        .setAccessToken("<access_token>")
        .setSpaceId("<space_id>")
        .setEnvironmentId("<environment_id>")
        .build();

final CMAContentType contentType = client
    .contentTypes()
    .fetchOne(
        "<space_id>",
        "master",  // environment must be master.
        "<entry_id>");

final CMASnapshot snapshot = client
    .contentTypes()
    .fetchOneSnapshot(contentType, "<content_type_snapshot_id>");
```

```kotlin Kotlin
// Create the Contentful client.
val client = CMAClient.Builder()
    .setAccessToken("<access_token>")
    .setSpaceId("<space_id>")
    .setEnvironmentId("<environment_id>")
    .build()

val contentType = client
        .contentTypes()
        .fetchOne(
                "<space_id>",
                "master", // environment must be master.
                "<entry_id>")

val snapshot = client
        .contentTypes()
        .fetchOneSnapshot(contentType, "<content_type_snapshot_id>")
```

```swift Swift
We currently don't provide a CMA SDK for this platform.
```

```js-legacy JavaScript (legacy)
import { createClient } from 'contentful-management'

const client = createClient({
  accessToken: '<content_management_api_key>'
}, { type: 'legacy' })

client.getSpace('<space_id>')
  .then((space) => space.getEnvironment('<environment_id>'))
  .then((environment) => environment.getContentType('<entry_id>'))
  .then((contentType) => contentType.getSnapshot('<snapshot-id>'))
  .then((snapshot) => console.log(snapshot))
  .catch(console.error)
```

```javascript JavaScript
import { createClient } from 'contentful-management'

// Client init
const client = contentful.createClient({
  accessToken: '<content_management_api_key>'
})

const snapshot = await client.snapshot.getForContentType({
  spaceId: '<space_id>',
  environmentId: '<environment_id>',
  contentTypeId: '<content_type_id>',
  snapshotId: '<snapshot_id>',
})
```

```php PHP
$client = new \Contentful\Management\Client('<content_management_api_key>');

$environment = $client->getEnvironmentProxy('<space_id>', '<environment_id>');

$contentTypeSnapshot = $environment->getContentTypeSnapshot('<content_type_id>', '<snapshot_id>');

// Alternatively, from a content type
$contentType = $environment->getContentType('<content_type_id>');
$contentTypeSnapshot = $contentType->getSnapshot('<snapshot_id>');
```

```ruby Ruby
require 'contentful/management'

client = Contentful::Management::Client.new('<content_management_api_key>')

content_type_snapshot = client.content_type_snapshots('<space_id>', '<environment_id>', '<content_type_id>').find('<snapshot_id>')

# Alternatively, from a content type

content_type_snapshot = content_type.snapshots.find('<snapshot_id>')
```

```python Python
from contentful_management import Client

client = Client('<content_management_api_key>')

content_type_snapshot = client.content_type_snapshots('<space_id>', '<environment_id>', '<content_type_id>').find('<snapshot_id>')

# Alternatively, from a content type

content_type_snapshot = content_type.snapshots().find('<snapshot_id>')
```

```.net .NET
// This client should only be created once per application.
var httpClient = new HttpClient();

var client = new ContentfulManagementClient(httpClient, "<content_management_api_key>", "<space_id>");

var singleContentTypeSnapshot = await client.GetSnapshotForContentType("<snapshot_id>", "<content_type_id>");
```